#!/bin/ash

# System Startup Script
sleep 1
mount -t vfat -rw -o sync,umask=0,utf8,shortname=winnt /dev/nftl0 /media/usrdata
# check upgrade.sh
#if [ -d "/usr" ]; then
#	if [ -e "usr/upgrade.sh" ]; then
#	# run upgrade.sh
#	echo "run upgrade.sh..."
#	source /usr/upgrade.sh
#	fi	
#fi
# check driver and AP in /usr =====>
if [ -d "/usr" ]; then
	if [ -e "/usr/ap/driver/nastech_ts.ko" ]; then
	insmod /usr/ap/driver/nastech_ts.ko
	tsmajor=`cat /proc/devices | grep nastech | cut -c2-3`
	mknod /dev/nastech_ts c $tsmajor 0
	fi
	
	if [ -e "/usr/ap/driver/keyboard144.ko" ]; then
	insmod /usr/ap/driver/keyboard144.ko
	kbmajor=`cat /proc/devices | grep keyboard144 | cut -c2-3`
	mknod /dev/keyboard144 c $kbmajor 0
	fi
	
	if [ -e "/usr/ap/driver/sgtl5000.ko" ]; then
	mknod /dev/sgtldev c 62 0
	insmod /usr/ap/driver/sgtl5000.ko
	fi
	
	if [ -e "/usr/ap/driver/guitar_key.ko" ]; then
	insmod /usr/ap/driver/guitar_key.ko
	sleep 1
	cd /usr/bin
	./power_key &
	fi

	if [ -e "/usr/ap/driver/sam3716.ko" ]; then
	mknod /dev/samdev c 100 0
	insmod /usr/ap/driver/sam3716.ko
	cd /usr/bin
	./samprom fw /usr/ap/3716-FW_MISA.bin
	fi
	
	if [ -e "/usr/ap/main" ]; then
	cd /usr/ap
	./main /usr/ap &
	fi
fi
# <====

#insmod /lib/modules/ssludc.ko
#insmod /lib/modules/g_file_storage.ko file=/dev/nftl0 removable=1
#cd /usr/bin
#./otgd &
#
sleep 3
cd /usr/bin
./sgtl5000 VOL 60
